Bug 847839 - [FEAT] Distributed geo-replication
[FEAT] Distributed geo-replication
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Csaba Henk
: FutureFeature, Reopened
: 843840 960455 960527 961342 (view as bug list)
Depends On:
Blocks: 850514
  Show dependency treegraph
 
Reported: 2012-08-13 13:40 EDT by Vidya Sakar
Modified: 2014-11-11 03:23 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.6.0beta1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 850514 (view as bug list)
Environment:
Last Closed: 2014-11-11 03:23:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vidya Sakar 2012-08-13 13:40:18 EDT
In the current implementation, geo-replication originates from only one of the master nodes. This feature request is to bring in the capability where all nodes of the master can participate in geo-replication and increase parallelism.
Comment 2 Csaba Henk 2013-05-09 04:24:02 EDT
*** Bug 843840 has been marked as a duplicate of this bug. ***
Comment 4 Amar Tumballi 2013-06-01 06:54:06 EDT
They are posted upstream now, will make it to 3.5.0, will keep this bug open so all commits can happen through this.
Comment 5 Anand Avati 2013-06-04 07:55:40 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'trusted.gfid' xattr key) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 6 Anand Avati 2013-06-04 07:56:03 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 7 Anand Avati 2013-06-04 07:56:52 EDT
REVIEW: http://review.gluster.org/5130 (extras: Adding the logrotate conf file for geo-replication) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 8 Anand Avati 2013-06-04 07:57:15 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 9 Anand Avati 2013-06-04 07:58:00 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 10 Anand Avati 2013-06-04 07:58:23 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 11 Anand Avati 2013-06-04 07:59:31 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 12 Anand Avati 2013-06-17 05:08:35 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'trusted.gfid' xattr key) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 13 Anand Avati 2013-06-17 05:09:00 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 14 Anand Avati 2013-06-17 05:09:50 EDT
REVIEW: http://review.gluster.org/5130 (extras: Adding the logrotate conf file for geo-replication) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 15 Anand Avati 2013-06-17 05:10:14 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 16 Anand Avati 2013-06-17 05:11:04 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 17 Anand Avati 2013-06-17 05:11:29 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 18 Anand Avati 2013-06-17 05:12:40 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 19 Anand Avati 2013-06-17 05:13:04 EDT
REVIEW: http://review.gluster.org/5216 (libgfchangelog: encode basename as per RFC 3986) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 20 Anand Avati 2013-06-17 05:13:28 EDT
REVIEW: http://review.gluster.org/5217 (libgfchangelog: do away with 'bulk' done API) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 21 Anand Avati 2013-06-17 05:13:53 EDT
REVIEW: http://review.gluster.org/5218 (gsyncd / geo-rep: lots of fixes) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 22 Anand Avati 2013-06-17 05:14:18 EDT
REVIEW: http://review.gluster.org/5219 (georep: Status Uptime was N/A because of parsing issue) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 23 Anand Avati 2013-06-17 05:14:41 EDT
REVIEW: http://review.gluster.org/5220 (glusterd : Replacing generate common-pub with execute <cmnd>) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 24 Anand Avati 2013-06-17 05:15:06 EDT
REVIEW: http://review.gluster.org/5221 (glusterd : Resolving geo-rep create overwriting status issue.) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 25 Anand Avati 2013-06-17 05:15:29 EDT
REVIEW: http://review.gluster.org/5222 (glusterd / geo-rep: gsyncd status fixes for replica volumes) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 26 Anand Avati 2013-06-17 05:15:52 EDT
REVIEW: http://review.gluster.org/5223 (glusterd / geo-rep: Invoke geo-replication on all replicas) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 27 Anand Avati 2013-06-17 05:16:16 EDT
REVIEW: http://review.gluster.org/5224 (gsync / geo-rep: xsync based crawling mechanism) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 28 Anand Avati 2013-06-17 05:16:40 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 29 Anand Avati 2013-06-17 05:17:04 EDT
REVIEW: http://review.gluster.org/5226 (gsyncd / geo-rep: Fix replica active/passive gsyncd mode) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 30 Anand Avati 2013-06-18 03:51:16 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'trusted.gfid' xattr key) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 31 Anand Avati 2013-06-18 03:52:08 EDT
REVIEW: http://review.gluster.org/5130 (extras: Adding the logrotate conf file for geo-replication) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 32 Anand Avati 2013-06-18 03:52:32 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 33 Anand Avati 2013-06-19 02:16:21 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'trusted.gfid' xattr key) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 34 Anand Avati 2013-06-19 02:16:47 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 35 Anand Avati 2013-06-19 02:17:11 EDT
REVIEW: http://review.gluster.org/5130 (extras: Adding the logrotate conf file for geo-replication) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 36 Anand Avati 2013-06-19 02:17:34 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 37 Anand Avati 2013-06-19 02:17:57 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 38 Anand Avati 2013-06-19 02:18:22 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 39 Anand Avati 2013-06-19 07:33:33 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'trusted.gfid' xattr key) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 40 Anand Avati 2013-06-19 07:33:57 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 41 Anand Avati 2013-06-19 07:34:20 EDT
REVIEW: http://review.gluster.org/5130 (extras: Adding the logrotate conf file for geo-replication) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 42 Anand Avati 2013-06-19 07:34:44 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 43 Anand Avati 2013-06-19 07:35:12 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 44 Anand Avati 2013-06-19 07:35:36 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 45 Anand Avati 2013-06-24 11:06:02 EDT
REVIEW: http://review.gluster.org/5129 (storage/posix: expose 'glusterfs.gfid' virtual xattr key) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 46 Anand Avati 2013-06-24 11:06:30 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 47 Anand Avati 2013-06-24 11:06:56 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 48 Anand Avati 2013-06-24 11:07:22 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 49 Anand Avati 2013-06-24 11:07:48 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 50 Anand Avati 2013-06-24 11:08:13 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 51 Anand Avati 2013-06-24 11:08:39 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 52 Anand Avati 2013-06-24 11:09:03 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 53 Anand Avati 2013-06-24 11:09:27 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#28) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 54 Anand Avati 2013-06-24 11:09:53 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 55 Anand Avati 2013-07-01 09:07:22 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 56 Anand Avati 2013-07-01 09:07:47 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 57 Anand Avati 2013-07-01 09:08:12 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 58 Anand Avati 2013-07-01 09:08:36 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 59 Anand Avati 2013-07-01 09:09:02 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 60 Anand Avati 2013-07-01 09:09:27 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 61 Anand Avati 2013-07-01 09:09:56 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 62 Anand Avati 2013-07-01 09:10:24 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#29) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 63 Anand Avati 2013-07-01 09:10:49 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 64 Anand Avati 2013-07-01 09:11:14 EDT
REVIEW: http://review.gluster.org/5272 (gsyncd / geo-rep: one shot 'xsync' crawl) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 65 Anand Avati 2013-07-02 07:12:37 EDT
REVIEW: http://review.gluster.org/5129 (mount/fuse: expose 'glusterfs.gfid' virtual xattr key) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 66 Anand Avati 2013-07-02 07:13:05 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 67 Anand Avati 2013-07-02 07:13:34 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 68 Anand Avati 2013-07-02 07:13:58 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 69 Anand Avati 2013-07-02 07:14:22 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 70 Anand Avati 2013-07-02 07:14:46 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 71 Anand Avati 2013-07-02 07:15:11 EDT
REVIEW: http://review.gluster.org/5272 (gsyncd / geo-rep: one shot 'xsync' crawl) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 72 Anand Avati 2013-07-02 07:15:35 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 73 Anand Avati 2013-07-02 07:16:00 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 74 Anand Avati 2013-07-02 07:16:24 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#30) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 75 Anand Avati 2013-07-02 07:16:48 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 76 Anand Avati 2013-07-10 08:56:18 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 77 Anand Avati 2013-07-10 08:56:45 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 78 Anand Avati 2013-07-10 08:57:12 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 79 Anand Avati 2013-07-10 08:57:37 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#5) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 80 Anand Avati 2013-07-10 08:58:01 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 81 Anand Avati 2013-07-10 08:58:26 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 82 Anand Avati 2013-07-10 08:58:51 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 83 Anand Avati 2013-07-10 08:59:15 EDT
REVIEW: http://review.gluster.org/5309 (mount/fuse: expose 'glusterfs.gfid*' virtual xattr key) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 84 Anand Avati 2013-07-10 14:17:08 EDT
REVIEW: http://review.gluster.org/5129 (mount/fuse: expose 'glusterfs.gfid*' virtual xattr key) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 85 Anand Avati 2013-07-10 14:17:35 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 86 Anand Avati 2013-07-10 14:18:02 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 87 Anand Avati 2013-07-10 14:18:28 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 88 Anand Avati 2013-07-10 14:18:52 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 89 Anand Avati 2013-07-10 14:19:16 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#6) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 90 Anand Avati 2013-07-10 14:19:41 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 91 Anand Avati 2013-07-10 14:20:10 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 92 Anand Avati 2013-07-10 14:20:36 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#31) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 93 Anand Avati 2013-07-10 14:21:02 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#15) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 94 Anand Avati 2013-07-11 02:44:22 EDT
REVIEW: http://review.gluster.org/5129 (mount/fuse: expose 'glusterfs.gfid*' virtual xattr key) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 95 Anand Avati 2013-07-11 02:44:49 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 96 Anand Avati 2013-07-11 02:45:16 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 97 Anand Avati 2013-07-11 02:45:49 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 98 Anand Avati 2013-07-11 02:46:15 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 99 Anand Avati 2013-07-11 02:46:40 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#7) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 100 Anand Avati 2013-07-11 02:47:05 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 101 Anand Avati 2013-07-11 02:47:29 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#15) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 102 Anand Avati 2013-07-11 02:47:54 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#32) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 103 Anand Avati 2013-07-11 02:48:21 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#16) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 104 Anand Avati 2013-07-11 14:53:07 EDT
COMMIT: http://review.gluster.org/5129 committed in master by Anand Avati (avati@redhat.com) 
------
commit 55ccdb71466ca8459f29454e9eee38fa7aa63e95
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Wed Jun 26 16:50:53 2013 +0530

    mount/fuse: expose 'glusterfs.gfid*' virtual xattr key
    
    currently two keys are exposed:
    
    'glusterfs.gfid' : output is 16byte binary gfid
    'glusterfs.gfid.string' : output is 36 byte canonical format of gfid
    
    e.g.
    [root@supernova glusterfs]# getfattr -n glusterfs.gfid -e hex f0
    glusterfs.gfid=0x68305acb73e541719804fcf36a4857e8
    
    [root@supernova glusterfs]# getfattr -n glusterfs.gfid.string f0
    glusterfs.gfid.string="68305acb-73e5-4171-9804-fcf36a4857e8"
    
    early consumers for this key would be geo-replication
    (as it has being designed to do namespace operations on
    gfid from the mount point, thereby needing the GFID for
    entry operations on the slave).
    
    Change-Id: I10b23dbd11628566ad6924334253f5d85d01a519
    BUG: 847839
    Original Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5129
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 105 Anand Avati 2013-07-12 03:14:25 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#9) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 106 Anand Avati 2013-07-12 03:14:52 EDT
REVIEW: http://review.gluster.org/4903 (libxlator: implement pluggable aggregation policies) posted (#15) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 107 Anand Avati 2013-07-12 03:15:18 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 108 Anand Avati 2013-07-12 03:15:43 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 109 Anand Avati 2013-07-12 03:16:07 EDT
REVIEW: http://review.gluster.org/5225 (cluster/dht: node-uuid for directories winds to all subvolumes) posted (#8) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 110 Anand Avati 2013-07-12 03:16:32 EDT
REVIEW: http://review.gluster.org/4893 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 111 Anand Avati 2013-07-12 03:16:57 EDT
REVIEW: http://review.gluster.org/4904 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#16) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 112 Anand Avati 2013-07-12 03:17:21 EDT
REVIEW: http://review.gluster.org/4702 (fuse: auxiliary gfid mount support) posted (#33) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 113 Anand Avati 2013-07-12 03:17:46 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#17) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 114 Anand Avati 2013-07-15 00:07:20 EDT
COMMIT: http://review.gluster.org/4893 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 74f67e3a86a1dc5324cd41d4fab78858718db1d2
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Sat Apr 27 12:44:05 2013 +0530

    cluster/*: get logic to calculate min() of the 'stime' xattr
    
    * in both distribute and replicate (ignoring stripe for now),
      add logic to calculate the min() of stime values.
    
    * What is a 'stime' ? Why is this required:
      -  stime means 'slave xtime', mainly used to keep track of slave
      node's sync status when distributed geo-replication is used.
      Logic of calculating 'min()' for this stime is very important as
      in case of crashes/reboots/shutdown, we will have to 'restart'
      with crawling from stime time value from the mount point, which
      gives the 'min()' of all the bricks, which means, we don't miss
      syncing any files in the above cases.
    
    Change-Id: I2be8d434326572be9d4986db665570a6181db1ee
    BUG: 847839
    Original Author: Amar Tumballi <amarts@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/4893
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 115 Anand Avati 2013-07-15 04:23:43 EDT
COMMIT: http://review.gluster.org/5225 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 51ed78005c676addef0d0a70ca47c794a6396075
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Thu Jun 13 19:38:57 2013 +0530

    cluster/dht: node-uuid for directories winds to all subvolumes
    
    this works similar to pathinfo now except that the request is sent
    to all subvolumes of dht. Underlying replica selects it's subvolume
    in a round-robin fashion till one of them returns successfully.
    
    Change-Id: Ie46c5f7090d04d8c2e487b209916ae6791e94624
    BUG: 847839
    Original Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5225
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 116 Anand Avati 2013-07-15 04:24:38 EDT
COMMIT: http://review.gluster.org/4903 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 2af3e8bd6dd0fba429681b6329283afe8c34c70b
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Wed Mar 13 10:21:57 2013 +0100

    libxlator: implement pluggable aggregation policies
    
    The API is described in libxlator.h.
    
    Behavior remains the same for this commit; this
    is a preparatory step for per-translator customization
    of aggregation.
    
    Change-Id: I5d42923af59b2fd78e1ff59c12763875b57c5190
    BUG: 847839
    Original Author: Csaba Henk <csaba@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/4903
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 117 Anand Avati 2013-07-15 04:25:22 EDT
COMMIT: http://review.gluster.org/4904 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 3f6a5702642837411477f241c9756c1872d46b1f
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Mon Apr 29 20:30:30 2013 +0200

    afr: customize client-pid=-1 xtime aggregation to tolerate a replica down
    
    Using the new 'pluggable policies' API of libxlator.
    
    Change-Id: Ie7528182dff8fb42c6e8287a106d3057944df775
    BUG: 847839
    Original Author: Csaba Henk <csaba@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/4904
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 118 Anand Avati 2013-07-18 02:42:26 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 119 Anand Avati 2013-07-18 02:44:03 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#18) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 120 Anand Avati 2013-07-18 10:04:11 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 121 Anand Avati 2013-07-18 10:04:43 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#19) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 122 Anand Avati 2013-07-19 03:48:30 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 123 Anand Avati 2013-07-19 03:49:00 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#20) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 124 Anand Avati 2013-07-22 02:35:52 EDT
REVIEW: http://review.gluster.org/5133 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 125 Anand Avati 2013-07-22 02:36:21 EDT
REVIEW: http://review.gluster.org/5127 (features/changelog: changelog translator) posted (#21) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 126 Anand Avati 2013-07-22 04:53:04 EDT
COMMIT: http://review.gluster.org/5127 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 11f6c56f83b977a08f9d74563249cef59e22a05d
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Tue Jun 4 14:20:58 2013 +0530

    features/changelog: changelog translator
    
    This is the initial version of the Changelog Translator.
    
    What is it
    -----------
    Goal is to capture changes performed on a GlusterFS volume.
    The translator needs to be loaded on the server (bricks) and
    captures changes in a plain text file inside a configured
    directory path (controlled by "changelog-dir", should be
    somewhere in <export>/.glusterfs/changelog by default).
    
    Changes are classified into 3 types:
        - Data:     : TYPE-I
        - Metadata  : TYPE-II
        - Entry     : TYPE-III
    
    Changelog file is rolled over after a certain time interval
    (defauls to 60 seconds) after which a changelog is started.
    The thing to be noted here is that for a time interval
    (time slice) multiple changes for an inode are recorded only
    once (ie. say for 100+ writes on an inode that happens within
    the time slice has only a single corresponding entry in the
    changelog file). That way we do not bloat up the changelog
    and also save lots of writes.
    
    Changelog Format
    -----------------
    TYPE-I and TYPE-II changes have the gfid on the entity on
    which the operation happened. TYPE-III being a entry op
    requires the parent gfid and the basename. Changelog format
    has been kept to a minimal and it's upto the consumers to
    do the heavy loading of figuring out deletes, renames etc..
    A single changelog file records all three types of changes,
    with each change starting with an identifier ("D": DATA,
    "M": METADATA and "E": ENTRY). Option is provided for the
    encoding type (See TUNABLES).
    
    Consumers
    ----------
    The only consumer as of today would be geo-replication, although
    backup utilities, self-heal, bit-rot detection could be possible
    consumers in the future.
    
    CLI
    ----
    By default, change-logging is disabled (the translator is present
    in the server graph but does nothing). When enabled (via cli) each
    brick starts to log the changes. There are a set of tunable that
    can be used to change the translators behaviour:
    
    - enable/disable changelog (disabled by default)
      gluster volume set <volume> changelog {on|off}
    
    - set the logging directory (<brick>/.glusterfs/changelogs is the
      default)
      gluster volume set <volume> changelog-dir /path/to/dir
    
    - select encoding type (binary (default) or ascii)
      gluster volume set <volume> encoding {binary|ascii}
    
    - change the rollover time for the logs (60 secs by default)
      gluster volume set <volume> rollover-time <secs>
    
    - when secs > 0, changelog file is not open()'d with O_SYNC flag
    - and fsync is trigerred periodically every <secs> seconds.
      gluster volume set <volume> fsync-interval <secs>
    
    features/changelog: changelog consumer library (libgfchangelog)
    
    A shared library is provided for the consumer of the changelogs
    for easy acess via APIs. Application can link against this library
    and request for changelog updates. Conversion of binary logs to
    human-readable ascii format is also taken care by the library which
    keeps a copy of the changelog in application provided working
    directory.
    
    Change-Id: I75575fb7f1c53d2bec3dba1a329ea7bb3c628497
    BUG: 847839
    Original Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5127
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 127 Anand Avati 2013-07-22 04:53:41 EDT
COMMIT: http://review.gluster.org/5133 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 950371be29d029179ac5cd0ad2dfdbfcd4467b96
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Mon May 27 22:23:57 2013 +0530

    move 'xlators/marker/utils/' to 'geo-replication/' directory
    
    Change-Id: Ibd0faefecc15b6713eda28bc96794ae58aff45aa
    BUG: 847839
    Original Author: Amar Tumballi <amarts@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5133
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 128 Anand Avati 2013-07-24 06:01:11 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#10) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 129 Anand Avati 2013-07-24 06:01:41 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 130 Anand Avati 2013-07-26 06:14:34 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#11) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 131 Anand Avati 2013-07-26 06:15:06 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 132 Anand Avati 2013-07-26 13:22:04 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#12) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 133 Anand Avati 2013-07-26 13:22:30 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 134 Anand Avati 2013-07-26 13:44:03 EDT
REVIEW: http://review.gluster.org/5131 (gsyncd: distribute the crawling load) posted (#13) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 135 Anand Avati 2013-07-26 13:44:30 EDT
REVIEW: http://review.gluster.org/5132 (glusterd/cli changes for distributed geo-rep) posted (#14) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 136 Anand Avati 2013-07-26 16:19:38 EDT
COMMIT: http://review.gluster.org/5131 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit b13c483dca20e4015b958f8959328e665a357f60
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Sat Jun 1 16:17:57 2013 +0530

    gsyncd: distribute the crawling load
    
    * also consume changelog for change detection.
    * Status fixes
    * Use new libgfchangelog done API
    * process (and sync) one changelog at a time
    
    Change-Id: I24891615bb762e0741b1819ddfdef8802326cb16
    BUG: 847839
    Original Author: Csaba Henk <csaba@redhat.com>
    Original Author: Aravinda VK <avishwan@redhat.com>
    Original Author: Venky Shankar <vshankar@redhat.com>
    Original Author: Amar Tumballi <amarts@redhat.com>
    Original Author: Avra Sengupta <asengupt@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5131
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>
Comment 137 Anand Avati 2013-07-26 16:20:13 EDT
COMMIT: http://review.gluster.org/5132 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 5757ed2727990fd2c3aaff420003638f1eec6b92
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Wed Jul 10 17:32:41 2013 +0530

    glusterd/cli changes for distributed geo-rep
    
    Commands:
    gluster system:: execute gsec_create
    gluster volume geo-rep <master> <slave-url> create [push-pem] [force]
    gluster volume geo-rep <master> <slave-url> start [force]
    gluster volume geo-rep <master> <slave-url> stop [force]
    gluster volume geo-rep <master> <slave-url> delete
    gluster volume geo-rep <master> <slave-url> config
    gluster volume geo-rep <master> <slave-url> status
    
    The geo-replication is distributed. The session will be created, and
    gsyncd will be spawned on all relevant nodes, instead of only one
    node.
    
    geo-rep: Collecting status detail related data
    
    Added persistent store for saving information about
    TotalFilesSynced, TotalSyncTime, TotalBytesSynced
    
    Changes in the status information in socket:
    Existing(Ex):
    FilesSynced=2;BytesSynced=2507;Uptime=00:26:01;
    
    New(Ex):
    FilesSynced=2;BytesSynced=2507;Uptime=00:26:01;SyncTime=0.69978;
    TotalSyncTime=2.890044;TotalFilesSynced=6;TotalBytesSynced=143640;
    
    Persistent details stored in
    /var/lib/glusterd/geo-replication/${mastervol}/${eSlave}-detail.status
    
    Change-Id: I1db7fc13ffca2e415c05200b0109b1254067f111
    BUG: 847839
    Original Author: Avra Sengupta <asengupt@redhat.com>
    Original Author: Venky Shankar <vshankar@redhat.com>
    Original Author: Aravinda VK <avishwan@redhat.com>
    Original Author: Amar Tumballi <amarts@redhat.com>
    Original Author: Csaba Henk <csaba@redhat.com>
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/5132
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
    Tested-by: Vijay Bellur <vbellur@redhat.com>
Comment 138 Anand Avati 2013-08-02 06:57:25 EDT
REVIEW: http://review.gluster.org/5472 (Correcting a log message in glusterd-geo-rep.c) posted (#1) for review on master by M S Vishwanath Bhat (vbhat@redhat.com)
Comment 139 Anand Avati 2013-08-06 00:12:36 EDT
COMMIT: http://review.gluster.org/5472 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 12f485982b41eec542673d74510e7ed8ef5e1fca
Author: M S Vishwanath Bhat <vbhat@redhat.com>
Date:   Fri Aug 2 16:15:45 2013 +0530

    Correcting a log message in glusterd-geo-rep.c
    
    Change-Id: I4352f513fc5616daa20e9a4ad51a63fb13a27dff
    BUG: 847839
    Signed-off-by: M S Vishwanath Bhat <vbhat@redhat.com>
    Reviewed-on: http://review.gluster.org/5472
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 140 Anand Avati 2013-08-14 03:08:13 EDT
REVIEW: http://review.gluster.org/5559 (geo-rep: start packaging upgrade scripts) posted (#2) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 141 Anand Avati 2013-08-29 07:26:26 EDT
REVIEW: http://review.gluster.org/5732 (glusterd: Added op-version checks to geo-rep commands.) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 142 Anand Avati 2013-09-03 05:59:28 EDT
REVIEW: http://review.gluster.org/5732 (glusterd: Added op-version checks to geo-rep commands.) posted (#2) for review on master by Venky Shankar (vshankar@redhat.com)
Comment 143 Anand Avati 2013-09-04 22:35:42 EDT
COMMIT: http://review.gluster.org/5732 committed in master by Anand Avati (avati@redhat.com) 
------
commit 1a642df1e963bf13d44de5b28a72ed2eb4dbca88
Author: Venky Shankar <vshankar@redhat.com>
Date:   Tue Jul 30 16:18:02 2013 +0530

    glusterd: Added op-version checks to geo-rep commands.
    
    Added op-version checks to all geo-rep commands. Min
    op-version should be 2.
    
    Change-Id: I942d897404e11e4d53123409731ba5cd252668fe
    BUG: 847839
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Signed-off-by: Venky Shankar <vshankar@redhat.com>
    Reviewed-on: http://review.gluster.org/5732
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 144 Anand Avati 2013-09-06 05:23:29 EDT
REVIEW: http://review.gluster.org/5833 (gfid-access: do chown() after creating the new entries) posted (#1) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 145 Anand Avati 2013-09-13 10:34:00 EDT
REVIEW: http://review.gluster.org/5914 (mount/fuse: expose 'glusterfs.gfid*' virtual xattr key) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 146 Anand Avati 2013-09-13 10:34:33 EDT
REVIEW: http://review.gluster.org/5915 (cluster/*: get logic to calculate min() of the 'stime' xattr) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 147 Anand Avati 2013-09-13 10:35:03 EDT
REVIEW: http://review.gluster.org/5916 (libxlator: implement pluggable aggregation policies) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 148 Anand Avati 2013-09-13 10:35:35 EDT
REVIEW: http://review.gluster.org/5917 (afr: customize client-pid=-1 xtime aggregation to tolerate a replica down) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 149 Anand Avati 2013-09-13 10:36:38 EDT
REVIEW: http://review.gluster.org/5919 (features/changelog: changelog translator) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 150 Anand Avati 2013-09-13 10:37:10 EDT
REVIEW: http://review.gluster.org/5920 (move 'xlators/marker/utils/' to 'geo-replication/' directory) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 151 Anand Avati 2013-09-13 10:38:42 EDT
REVIEW: http://review.gluster.org/5923 (gsyncd: distribute the crawling load) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 152 Anand Avati 2013-09-13 10:39:12 EDT
REVIEW: http://review.gluster.org/5924 (glusterd/cli changes for distributed geo-rep) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 153 Anand Avati 2013-09-13 10:39:42 EDT
REVIEW: http://review.gluster.org/5925 (glusterd/gsyncd/geo-rep : Further downstream bugfixes.) posted (#1) for review on release-3.4 by Avra Sengupta (asengupt@redhat.com)
Comment 154 Anand Avati 2013-09-16 04:35:42 EDT
REVIEW: http://review.gluster.org/5933 (geo-rep: retry in case of ENOENT errors in entry creations) posted (#1) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 155 Anand Avati 2013-09-16 04:36:21 EDT
REVIEW: http://review.gluster.org/5934 (geo-rep: create hardlink as hardlinks in xsync crawl) posted (#1) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 156 Anand Avati 2013-09-16 07:57:11 EDT
REVIEW: http://review.gluster.org/5942 (posix: Suppressing error messages incase of mkdir failures.) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 157 Anand Avati 2013-09-17 02:37:20 EDT
REVIEW: http://review.gluster.org/5933 (geo-rep: retry in case of ENOENT errors in entry creations) posted (#2) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 158 Anand Avati 2013-09-17 02:37:51 EDT
REVIEW: http://review.gluster.org/5934 (geo-rep: create hardlink as hardlinks in xsync crawl) posted (#2) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 159 Anand Avati 2013-09-17 02:38:20 EDT
REVIEW: http://review.gluster.org/5949 (geo-replication: treat MKNOD also as regular file create) posted (#1) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 160 Anand Avati 2013-09-17 02:38:50 EDT
REVIEW: http://review.gluster.org/5950 (geo-rep: pack the value of 'readlink()' while crawling symlinks) posted (#1) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 161 Anand Avati 2013-09-17 06:43:04 EDT
COMMIT: http://review.gluster.org/5933 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 52ce8fc0a8a8b87afe3e77d5aeee22baa7f216f8
Author: Amar Tumballi <amarts@redhat.com>
Date:   Mon Sep 16 14:02:25 2013 +0530

    geo-rep: retry in case of ENOENT errors in entry creations
    
    Change-Id: I8961633a7371c941a3feee44c949d5c934eca998
    Original-Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    BUG: 847839
    Reviewed-on: http://review.gluster.org/5933
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Venky Shankar <vshankar@redhat.com>
Comment 162 Anand Avati 2013-09-18 02:32:00 EDT
REVIEW: http://review.gluster.org/5949 (geo-replication: treat MKNOD also as regular file create) posted (#2) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 163 Anand Avati 2013-09-18 02:32:34 EDT
REVIEW: http://review.gluster.org/5950 (geo-rep: pack the value of 'readlink()' while crawling symlinks) posted (#2) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 164 Anand Avati 2013-09-18 02:33:04 EDT
REVIEW: http://review.gluster.org/5934 (geo-rep: create hardlink as hardlinks in xsync crawl) posted (#3) for review on master by Amar Tumballi (amarts@redhat.com)
Comment 165 Anand Avati 2013-09-20 14:47:20 EDT
COMMIT: http://review.gluster.org/5934 committed in master by Anand Avati (avati@redhat.com) 
------
commit d702e702e7248da63449b714507010bb3ef1072d
Author: Amar Tumballi <amarts@redhat.com>
Date:   Mon Sep 16 14:04:05 2013 +0530

    geo-rep: create hardlink as hardlinks in xsync crawl
    
    BUG: 847839
    Change-Id: Ieaa754f15611392c09afcc7190b9ff9da39d7fce
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    Reviewed-on: http://review.gluster.org/5934
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 166 Anand Avati 2013-09-20 14:48:06 EDT
COMMIT: http://review.gluster.org/5949 committed in master by Anand Avati (avati@redhat.com) 
------
commit 9905b562a3d4b508f83123e43574e8087651b357
Author: Amar Tumballi <amarts@redhat.com>
Date:   Mon Sep 16 14:24:54 2013 +0530

    geo-replication: treat MKNOD also as regular file create
    
    Change-Id: Iec04f642282b554a4d1b5f5c8cdc099fd001b3f4
    Original-Author: Venky Shankar <vshankar@redhat.com>
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    BUG: 847839
    Reviewed-on: http://review.gluster.org/5949
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 167 Anand Avati 2013-09-20 14:48:48 EDT
COMMIT: http://review.gluster.org/5950 committed in master by Anand Avati (avati@redhat.com) 
------
commit fe16eaa5104cf015461c7b4b8f0d97e613344b1e
Author: Amar Tumballi <amarts@redhat.com>
Date:   Sat Sep 7 15:20:39 2013 +0530

    geo-rep: pack the value of 'readlink()' while crawling symlinks
    
    without having 'readlink()' value, symlink fails on slave mounts
    
    Change-Id: Ib84be8db77c033029ba8ba454fd629a496fc3fe1
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    BUG: 847839
    Reviewed-on: http://review.gluster.org/5950
    Reviewed-by: Venky Shankar <vshankar@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
Comment 168 Anand Avati 2013-09-23 02:06:54 EDT
REVIEW: http://review.gluster.org/5942 (posix: Suppressing error messages incase of mkdir failures.) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 169 Anand Avati 2013-10-29 08:27:26 EDT
REVIEW: http://review.gluster.org/5942 (posix: Suppressing error messages incase of mkdir failures.) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 170 Anand Avati 2013-10-31 07:41:34 EDT
REVIEW: http://review.gluster.org/6209 (geo-replication: Chainging "Files Pending" to "Files Processed") posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)
Comment 171 Anand Avati 2013-12-11 02:51:41 EST
COMMIT: http://review.gluster.org/5833 committed in master by Anand Avati (avati@redhat.com) 
------
commit 11b4f3aedfacf2cb29c409765936940271329e73
Author: Amar Tumballi <amarts@redhat.com>
Date:   Fri Sep 6 14:50:35 2013 +0530

    gfid-access: do chown() after creating the new entries
    
    changing the 'frame->root->uid' on the fly is not a good idea as
    posix-acl xlator on brick process would fail the op.
    
    Change-Id: I996b43e4ce6efb04f52949976339dad6eb89bede
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    BUG: 847839
    Reviewed-on: http://review.gluster.org/5833
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
Comment 172 Anand Avati 2014-01-27 04:47:46 EST
REVIEW: http://review.gluster.org/6801 (gfid-access: do chown() after creating the new entries) posted (#1) for review on release-3.5 by Kotresh HR (khiremat@redhat.com)
Comment 173 Anand Avati 2014-01-27 04:51:33 EST
REVIEW: http://review.gluster.org/6801 (gfid-access: do chown() after creating the new entries.) posted (#2) for review on release-3.5 by Kotresh HR (khiremat@redhat.com)
Comment 174 Anand Avati 2014-01-27 10:50:37 EST
COMMIT: http://review.gluster.org/6801 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 0d739e788dddd591a015921991c3112400f3d3a1
Author: Amar Tumballi <amarts@redhat.com>
Date:   Fri Sep 6 14:50:35 2013 +0530

    gfid-access: do chown() after creating the new entries.
    
    changing the 'frame->root->uid' on the fly is not a good idea as
    posix-acl xlator on brick process would fail the op.
    
    Change-Id: I996b43e4ce6efb04f52949976339dad6eb89bede
    Signed-off-by: Amar Tumballi <amarts@redhat.com>
    BUG: 847839
    Reviewed-on: http://review.gluster.org/5833
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Anand Avati <avati@redhat.com>
    Reviewed-on: http://review.gluster.org/6801
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 175 Anand Avati 2014-03-24 23:12:01 EDT
REVIEW: http://review.gluster.org/7327 (geo-rep: fix pattern matching in upgrade scripts.) posted (#1) for review on release-3.5 by Raghavendra G (rgowdapp@redhat.com)
Comment 176 Anand Avati 2014-04-04 13:07:19 EDT
COMMIT: http://review.gluster.org/7327 committed in release-3.5 by Vijay Bellur (vbellur@redhat.com) 
------
commit 4e0659a779f19bccaf44e4fa58a6c2a7a0d08f61
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Tue Mar 25 08:40:47 2014 +0530

    geo-rep: fix pattern matching in upgrade scripts.
    
    Change-Id: I9ceed333a5416f06537e6ea14055c0971ead9362
    BUG: 847839
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/7327
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>
Comment 177 Niels de Vos 2014-07-11 12:04:07 EDT
*** Bug 960455 has been marked as a duplicate of this bug. ***
Comment 178 Niels de Vos 2014-07-11 12:04:57 EDT
*** Bug 960527 has been marked as a duplicate of this bug. ***
Comment 179 Niels de Vos 2014-07-11 12:06:17 EDT
*** Bug 961342 has been marked as a duplicate of this bug. ***
Comment 180 Niels de Vos 2014-09-22 08:31:13 EDT
A beta release for GlusterFS 3.6.0 has been released. Please verify if the release solves this bug report for you. In case the glusterfs-3.6.0beta1 release does not have a resolution for this issue, leave a comment in this bug and move the status to ASSIGNED. If this release fixes the problem for you, leave a note and change the status to VERIFIED.

Packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update (possibly an "updates-testing" repository) infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-September/018836.html
[2] http://supercolony.gluster.org/pipermail/gluster-users/
Comment 181 Niels de Vos 2014-11-11 03:23:20 EST
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.6.1, please reopen this bug report.

glusterfs-3.6.1 has been announced [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://supercolony.gluster.org/pipermail/gluster-users/2014-November/019410.html
[2] http://supercolony.gluster.org/mailman/listinfo/gluster-users

Note You need to log in before you can comment on or make changes to this bug.